adding wait for zookeeper script (#3313)

diff --git a/docker/dist/Dockerfile.dist.debian9 b/docker/dist/Dockerfile.dist.debian9
index f183129..94fdaa2 100644
--- a/docker/dist/Dockerfile.dist.debian9
+++ b/docker/dist/Dockerfile.dist.debian9
@@ -82,4 +82,5 @@
 ADD dist/scripts /opt/zookeeper/scripts
 RUN chmod +x /opt/zookeeper/scripts/generate-zookeeper-config.sh \
     && chmod +x /opt/zookeeper/scripts/zookeeper-ruok.sh \
-    && chmod +x /opt/zookeeper/scripts/start-zookeeper.sh
+    && chmod +x /opt/zookeeper/scripts/start-zookeeper.sh \
+    && chmod +x /opt/zookeeper/scripts/wait-for-zookeeper.sh
diff --git a/docker/dist/Dockerfile.dist.ubuntu14.04 b/docker/dist/Dockerfile.dist.ubuntu14.04
index 04f2602..17930e0 100644
--- a/docker/dist/Dockerfile.dist.ubuntu14.04
+++ b/docker/dist/Dockerfile.dist.ubuntu14.04
@@ -82,6 +82,7 @@
 ADD dist/scripts /opt/zookeeper/scripts
 RUN chmod +x /opt/zookeeper/scripts/generate-zookeeper-config.sh \
     && chmod +x /opt/zookeeper/scripts/zookeeper-ruok.sh \
-    && chmod +x /opt/zookeeper/scripts/start-zookeeper.sh
+    && chmod +x /opt/zookeeper/scripts/start-zookeeper.sh \
+    && chmod +x /opt/zookeeper/scripts/wait-for-zookeeper.sh
 
 CMD ["supervisord", "-n"]
diff --git a/docker/dist/scripts/wait-for-zookeeper.sh b/docker/dist/scripts/wait-for-zookeeper.sh
new file mode 100644
index 0000000..bd6b353
--- /dev/null
+++ b/docker/dist/scripts/wait-for-zookeeper.sh
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+# 
+#   http://www.apache.org/licenses/LICENSE-2.0
+# 
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+if [ "$#" -ne 2 ]; then
+  echo "Usage: $0 <zookeeper-host> <zookeeper-port>"
+  exit 1
+fi
+
+WAIT_ZK_HOST=$1
+WAIT_ZK_PORT=$2
+
+while true; do
+  status=$(echo ruok | nc $WAIT_ZK_HOST $WAIT_ZK_PORT);
+  writestatus=$(echo isro | nc $WAIT_ZK_HOST $WAIT_ZK_PORT)
+  if [ "$status" = "imok" ] && [ "$writestatus" == "rw" ]; then
+    echo "Zookeeper $WAIT_ZK_HOST:$WAIT_ZK_PORT is ready";
+    exit 0
+  fi;
+  echo "Zookeeper $WAIT_ZK_HOST:$WAIT_ZK_PORT not ready";
+  sleep 4;
+done